REST API/DOCUMENTS
Generate a document
Turn a recording’s transcript into a document, such as a bug report, spec or how-to guide.
POSThttps://api.edithpro.app/v1/recordings/{id}/documents
Body #
NameTypeDescription
typeenum · requiredOne of the 26 document types, for example bug_report, how_to_guide, product_spec, meeting_notes, follow_up_email. [CONFIRM FULL LIST]
languagestringOutput language. Defaults to the transcript language.
instructionsstringExtra guidance, for example “Keep it under 200 words”.
Request #
curl -X POST "https://api.edithpro.app/v1/recordings/{id}/documents" \ -H "Authorization: Bearer $EDITHPRO_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "type": "bug_report" }'
Response #
Response · 202 Accepted · example
{ "id": "doc_7gq2m", "object": "document", "type": "bug_report", "status": "generating", "recording_id": "rec_8f2kq1", "created_at": "2026-10-09T12:24:03Z"}
Was this page helpful? REST API v1 draft · Edit this page